JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32.COM
Class ITypeComp

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.win32.COM.IUnknown
              com.sun.jna.platform.win32.COM.ITypeComp

All Implemented Interfaces:
  NativeMapped

Direct Known Subclasses:
  ITypeComp.ByReference

    public class ITypeComp

extends IUnknown

Wrapper class for the ITypeComp interface

Author:
  Tobias Wolf, wolf.tobias@gmx.net

Nested Class Summary
`static class` `ITypeComp.ByReference`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.COM.IUnknown
`IID_IDispatch`

Constructor Summary
`ITypeComp()`
`ITypeComp(Pointer pvInstance)`

Method Summary
`WinNT.HRESULT` `Bind(WString szName, WinDef.ULONG lHashVal, WinDef.WORD wFlags, ITypeInfo.ByReference ppTInfo, OaIdl.DESCKIND.ByReference pDescKind, OaIdl.BINDPTR.ByReference pBindPtr)`
`WinNT.HRESULT` `BindType(WString szName, WinDef.ULONG lHashVal, ITypeInfo.ByReference ppTInfo, ITypeComp.ByReference ppTComp)`

Methods inherited from class com.sun.jna.platform.win32.COM.IUnknown
`AddRef, QueryInterface, Release`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ITypeComp

    public ITypeComp()

### ITypeComp

    public ITypeComp(Pointer pvInstance)

Method Detail

### Bind

    public WinNT.HRESULT Bind(WString szName,
                              WinDef.ULONG lHashVal,
                              WinDef.WORD wFlags,
                              ITypeInfo.ByReference ppTInfo,
                              OaIdl.DESCKIND.ByReference pDescKind,
                              OaIdl.BINDPTR.ByReference pBindPtr)

### BindType

    public WinNT.HRESULT BindType(WString szName,
                                  WinDef.ULONG lHashVal,
                                  ITypeInfo.ByReference ppTInfo,
                                  ITypeComp.ByReference ppTComp)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.